#!/usr/bin/env python3
from home.mqtt.temphum import MqttTempHumNodes

if __name__ == '__main__':
    max_name_len = 0
    for node in MqttTempHumNodes:
        if len(node.name) > max_name_len:
            max_name_len = len(node.name)

    values = []
    for node in MqttTempHumNodes:
        hash = node.hash()
        if hash in values:
            raise ValueError(f'collision detected: {hash}')
        values.append(values)
        print(' '*(max_name_len-len(node.name)), end='')
        print(f'{node.name}: {hash}')
